crashpad::ProcessReaderFuchsia Class Reference

Accesses information about another process, identified by a Fuchsia process. More...

`#include "snapshot/fuchsia/process_reader_fuchsia.h"`

## Classes

struct | Module
| Contains information about a module loaded into a process. More...
struct | Thread
| Contains information about a thread that belongs to a process. More...

## Public Member Functions

bool | Initialize (zx_handle_t process)
| Initializes this object. This method must be called before any other. More...
const std::vector< Module > & | Modules ()
const std::vector< Thread > & | Threads ()
ProcessMemory * | Memory ()
| Return a memory reader for the target process.

## Detailed Description

Accesses information about another process, identified by a Fuchsia process.

## Member Function Documentation

## Initialize()

bool crashpad::ProcessReaderFuchsia::Initialize | ( | zx_handle_t | process | ) |

Initializes this object. This method must be called before any other.

Parameters

  [in] | process | A process handle with permissions to read properties and memory from the target process.

Returns
  `true` on success, indicating that this object will respond validly to further method calls. `false` on failure. On failure, no further method calls should be made.

## Modules()

const std::vector< ProcessReaderFuchsia::Module > & crashpad::ProcessReaderFuchsia::Modules | ( |  | ) |

Returns
  The modules loaded in the process. The first element (at index `0`) corresponds to the main executable.

## Threads()

const std::vector< ProcessReaderFuchsia::Thread > & crashpad::ProcessReaderFuchsia::Threads | ( |  | ) |

Returns
  The threads that are in the process.

The documentation for this class was generated from the following files:

- snapshot/fuchsia/process_reader_fuchsia.h
- snapshot/fuchsia/process_reader_fuchsia.cc